VERSION
1.0
PRÉSENTATION
unixxdos est un remplacement conservatif des commandes dos2unix et unix2dos.
C'est une fonction symétrique, en conséquence:
1) unixxdos fait aussi bien le travail de unix2dos que de dos2unix.
2) La fonction est bijective, ainsi, aucune donnée n'est perdue lorsqu'un fichier binaire est transformé par unixxdos.

COMPORTEMENT
Son fonctionnement est assez simple.
Tout LF non précédé d'un CR est transformé en CRLF.
Un CRLF est transformé en LF à moins qu'il ne soit précédé d'un autre CR.

Règles de base:
CR LF		-> LF
LF		-> CR LF
CR CR LF	-> CR CR LF

En conséquence:
LF LF		-> CR LF CR LF
LF CR		-> CR LF CR
LF CR LF	-> CR LF LF

INVOCATION
unixxdos lit les données sur l'entrée standard et les sort sur la sortie standard, il n'a pas de paramètres sur la ligne de commandes.
Exemple:
unixxdos < dos.txt > unix.txt

COMPILATION
$ gcc -O2 -Wall -std=c89 --pedantic-errors unixxdos.c -ounixxdos
On peut compiler une version optimisée en taille, liée à la dietlibc, avec le script ./mk

INSTALLATION
unixxdos est un exécutable sans dépendance particulière.
